(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else {
		var a = factory();
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(window, function() {
return (window["webpackJsonp"] = window["webpackJsonp"] || []).push([["onms-interfaces-app"],{

/***/ "./src/main/assets/js/apps/onms-interfaces/onms-interfaces-app/index.js":
/*!******************************************************************************!*\
  !*** ./src/main/assets/js/apps/onms-interfaces/onms-interfaces-app/index.js ***!
  \******************************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/**
* @author Alejandro Galue <agalue@opennms.org>
* @copyright 2016 The OpenNMS Group, Inc.
*/


__webpack_require__(/*! core-js/modules/es.array.reverse */ "./node_modules/core-js/modules/es.array.reverse.js");

var _forEach = _interopRequireDefault(__webpack_require__(/*! ../../../../../../../node_modules/@babel/runtime-corejs3/core-js-stable/instance/for-each */ "./node_modules/@babel/runtime-corejs3/core-js-stable/instance/for-each.js"));

var _reverse = _interopRequireDefault(__webpack_require__(/*! ../../../../../../../node_modules/@babel/runtime-corejs3/core-js-stable/instance/reverse */ "./node_modules/@babel/runtime-corejs3/core-js-stable/instance/reverse.js"));

var _slice = _interopRequireDefault(__webpack_require__(/*! ../../../../../../../node_modules/@babel/runtime-corejs3/core-js-stable/instance/slice */ "./node_modules/@babel/runtime-corejs3/core-js-stable/instance/slice.js"));

var _parseInt2 = _interopRequireDefault(__webpack_require__(/*! ../../../../../../../node_modules/@babel/runtime-corejs3/core-js-stable/parse-int */ "./node_modules/@babel/runtime-corejs3/core-js-stable/parse-int.js"));

var _filter = _interopRequireDefault(__webpack_require__(/*! ../../../../../../../node_modules/@babel/runtime-corejs3/core-js-stable/instance/filter */ "./node_modules/@babel/runtime-corejs3/core-js-stable/instance/filter.js"));

var _context;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var angular = __webpack_require__(/*! ../../../vendor/angular-js */ "./src/main/assets/js/vendor/angular-js.js");

__webpack_require__(/*! ../../../lib/onms-http */ "./src/main/assets/js/lib/onms-http/index.js");

var mainTemplate = __webpack_require__(/*! ../templates/template.main.html */ "./src/main/assets/js/apps/onms-interfaces/templates/template.main.html");

var sortTemplate = __webpack_require__(/*! ../templates/template.sort.html */ "./src/main/assets/js/apps/onms-interfaces/templates/template.sort.html");

__webpack_require__(/*! ./styles.css */ "./src/main/assets/js/apps/onms-interfaces/onms-interfaces-app/styles.css");

(0, _filter.default)(_context = angular.module('onms-interfaces', ['onms.http', 'ui.bootstrap'])).call(_context, 'startFrom', function () {
  return function (input, start) {
    var s = (0, _parseInt2.default)(start, 10);

    if (input) {
      return input.length < s ? input : (0, _slice.default)(input).call(input, s);
    }

    return [];
  };
}).directive('onmsInterfaces', function () {
  return {
    restrict: 'E',
    scope: {
      nodeId: '=node'
    },
    templateUrl: mainTemplate,
    controller: 'NodeInterfacesCtrl'
  };
}).directive('sort', function () {
  return {
    restrict: 'A',
    transclude: true,
    templateUrl: sortTemplate,
    scope: {
      order: '=',
      by: '=',
      reverse: '='
    },
    link: function link(scope, element, attrs) {
      scope.onClick = function () {
        if (scope.order === scope.by) {
          scope.reverse = !(0, _reverse.default)(scope);
        } else {
          scope.by = scope.order;
          scope.reverse = false;
        }
      };
    }
  };
}).controller('NodeInterfacesCtrl', ['$scope', '$http', '$filter', '$window', function ($scope, $http, $filter, $window) {
  // Common Variables
  $scope.filters = {
    ipInterface: null,
    snmpInterface: null
  }; // IP Interfaces Variables

  $scope.ipInterfaces = [];
  $scope.filteredIpInterfaces = [];
  $scope.ipInterfacesPageSize = 10;
  $scope.ipInterfacesMaxSize = 5;
  $scope.ipInterfacesTotalItems = 0;
  $scope.ipOrder = 'ipAddress';
  $scope.ipReverse = false; // SNMP Interfaces Variables

  $scope.snmpInterfaces = [];
  $scope.filteredSnmpInterfaces = [];
  $scope.snmpInterfacesPageSize = 10;
  $scope.snmpInterfacesMaxSize = 5;
  $scope.snmpInterfacesTotalItems = 0;
  $scope.snmpOrder = 'ifIndex';
  $scope.snmpReverse = false;
  $scope.ipIfLoaded = false;
  $scope.snmpIfLoaded = false; // IP Interfaces

  $scope.loadIpInterfaces = function () {
    $http({
      url: 'rest/nodes/' + $scope.nodeId + '/ipinterfaces',
      method: 'GET',
      params: {
        limit: 0
      }
    }).then(function succeeded(response) {
      $scope.ipIfLoaded = true;
      $scope.ipInterfaces = response.data.ipInterface;
      $scope.setStylesForIpInterfaces();
      $scope.filteredIpInterfaces = $scope.ipInterfaces;
      $scope.updateFilteredIpInterfaces();
    }, function errorCallback(response) {
      $scope.ipIfLoaded = true;
    });
  };

  $scope.updateFilteredIpInterfaces = function () {
    $scope.ipInterfacesCurrentPage = 1;
    $scope.ipInterfacesTotalItems = $scope.filteredIpInterfaces.length;
    $scope.ipInterfacesNumPages = Math.ceil($scope.ipInterfacesTotalItems / $scope.ipInterfacesPageSize);
  };

  $scope.setStylesForIpInterfaces = function () {
    (0, _forEach.default)(angular).call(angular, $scope.ipInterfaces, function (intf) {
      var cssClass = undefined;

      if (intf.isManaged === 'U' || intf.isManaged === 'F' || intf.isManaged === 'N' || intf.monitoredServiceCount < 1) {
        cssClass = 'onms-interface-status-unknown';
      } else {
        cssClass = intf.isDown ? 'onms-interface-status-down' : 'onms-interface-status-up';
      }

      intf.backgroundClass = cssClass;
    });
  };

  $scope.openIpPage = function (intf) {
    $window.location.href = getBaseHref() + 'element/interface.jsp?ipinterfaceid=' + intf.id;
  };

  $scope.$watch('filters.ipInterface', function () {
    $scope.filteredIpInterfaces = $filter('filter')($scope.ipInterfaces, $scope.filters.ipInterface);
    $scope.updateFilteredIpInterfaces();
  }); // SNMP Interfaces

  $scope.loadSnmpInterfaces = function () {
    $http({
      url: 'rest/nodes/' + $scope.nodeId + '/snmpinterfaces',
      method: 'GET',
      params: {
        limit: 0
      }
    }).then(function succeeded(response) {
      $scope.snmpIfLoaded = true;
      $scope.snmpInterfaces = response.data.snmpInterface;
      $scope.setStylesForSnmpInterfaces();
      $scope.updateFlowUrlsForSnmpInterfaces();
      $scope.filteredSnmpInterfaces = $scope.snmpInterfaces;
      $scope.updateFilteredSnmpInterfaces();
    }, function errorCallback(response) {
      $scope.snmpIfLoaded = true;
    });
  };

  $scope.updateFilteredSnmpInterfaces = function () {
    $scope.snmpInterfacesCurrentPage = 1;
    $scope.snmpInterfacesTotalItems = $scope.filteredSnmpInterfaces.length;
    $scope.snmpInterfacesNumPages = Math.ceil($scope.snmpInterfacesTotalItems / $scope.snmpInterfacesPageSize);
  };

  $scope.updateFlowUrlsForSnmpInterfaces = function () {
    (0, _forEach.default)(angular).call(angular, $scope.snmpInterfaces, function (intf) {
      if (!intf.hasIngressFlows && !intf.hasEgressFlows) {
        // No flows - nothing to do
        return;
      }

      $http({
        url: 'rest/flows/flowGraphUrl',
        method: 'GET',
        params: {
          exporterNode: $scope.nodeId,
          ifIndex: intf.ifIndex
        }
      }).then(function succeeded(response) {
        // Update the flowGraphUrl on the associated interface
        intf.flowGraphUrl = response.data.flowGraphUrl;
      }, function errorCallback(response) {// pass
      });
    });
  };

  $scope.setStylesForSnmpInterfaces = function () {
    (0, _forEach.default)(angular).call(angular, $scope.snmpInterfaces, function (intf) {
      var cssClass = undefined;

      if (intf.ifAdminStatus !== 1) {
        cssClass = 'onms-interface-status-unknown';
      } else {
        if (intf.ifOperStatus === 1) {
          cssClass = 'onms-interface-status-up';
        } else {
          cssClass = 'onms-interface-status-down';
        }
      }

      intf.backgroundClass = cssClass;
    });
  };

  $scope.openSnmpPage = function (intf) {
    $window.location.href = getBaseHref() + 'element/snmpinterface.jsp?node=' + $scope.nodeId + '&ifindex=' + intf.ifIndex;
  };

  $scope.$watch('filters.snmpInterface', function () {
    $scope.filteredSnmpInterfaces = $filter('filter')($scope.snmpInterfaces, $scope.filters.snmpInterface);
    $scope.updateFilteredSnmpInterfaces();
  }); // Initialize content

  $scope.loadIpInterfaces();
  $scope.loadSnmpInterfaces();
}]); // Bootstrap to a an element with ID 'onms-interfaces'

angular.element(document).ready(function () {
  var el = document.getElementById('onms-interfaces');
  angular.bootstrap(angular.element(el), ['onms-interfaces']);
});

/***/ }),

/***/ "./src/main/assets/js/apps/onms-interfaces/onms-interfaces-app/styles.css":
/*!********************************************************************************!*\
  !*** ./src/main/assets/js/apps/onms-interfaces/onms-interfaces-app/styles.css ***!
  \********************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ "./src/main/assets/js/apps/onms-interfaces/templates/template.main.html":
/*!******************************************************************************!*\
  !*** ./src/main/assets/js/apps/onms-interfaces/templates/template.main.html ***!
  \******************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

var path = '/root/project/core/web-assets/src/main/assets/js/apps/onms-interfaces/templates/template.main.html';
var html = "<uib-tabset justified=\"true\">\n  <uib-tab heading=\"IP Interfaces\" id=\"tab-ip-interfaces\">\n    <div class=\"jumbotron\" ng-show=\"!ipIfLoaded\">\n      <div class=\"container\">\n        <p>IP Interfaces are loading</p>\n      </div>\n    </div>\n    <div class=\"jumbotron\" ng-show=\"ipIfLoaded && ipInterfaces.length == 0\">\n      <div class=\"container\">\n        <p>There are no IP interfaces for this node</p>\n      </div>\n    </div>\n    <div class=\"table-responsive\" ng-show=\"ipInterfaces.length > 0\">\n      <div class=\"input-group p-3\">\n        <input class=\"form-control\" type=\"text\" placeholder=\"Search/Filter IP Interfaces\" ng-model=\"filters.ipInterface\">\n        <div class=\"input-group-append\">\n          <span class=\"input-group-text\"><i class=\"fa fa-search\"></i></span>\n        </div>\n      </div>\n      <table class=\"table table-sm\">\n        <thead>\n          <tr>\n            <th sort order=\"'ipAddress'\" by=\"ipOrder\" reverse=\"ipReverse\">IP Address</th>\n            <th sort order=\"'hostName'\"  by=\"ipOrder\" reverse=\"ipReverse\">IP Host Name</th>\n            <th sort order=\"'ifIndex'\"   by=\"ipOrder\" reverse=\"ipReverse\">SNMP ifIndex</th>\n            <th sort order=\"'isManaged'\" by=\"ipOrder\" reverse=\"ipReverse\">Managed</th>\n          </tr>\n        </thead>\n        <tbody>\n          <tr ng-class=\"intf.backgroundClass\" ng-dblclick=\"openIpPage(intf)\" ng-repeat=\"intf in filteredIpInterfaces | orderBy:ipOrder:ipReverse | startFrom:(ipInterfacesCurrentPage-1)*ipInterfacesPageSize | limitTo:ipInterfacesPageSize\">\n            <td>{{ intf.ipAddress }}</td>\n            <td>{{ intf.hostName || 'N/A' }}</td>\n            <td>{{ intf.ifIndex || 'N/A' }}</td>\n            <td>{{ intf.isManaged }}</td>\n          </tr>\n       </tbody>\n      </table>\n    </div>\n    <ul uib-pagination class=\"pagination-sm mx-3\"\n      total-items=\"ipInterfacesTotalItems\"\n      num-pages=\"ipInterfacesNumPages\"\n      ng-model=\"ipInterfacesCurrentPage\"\n      max-size=\"ipInterfacesMaxSize\"\n      boundary-links=\"true\"\n      ng-show=\"filteredIpInterfaces.length > ipInterfacesPageSize\"></ul>\n  </uib-tab>\n\n  <uib-tab heading=\"SNMP Interfaces\" id=\"tab-ip-interfaces\">\n    <div class=\"jumbotron\" ng-show=\"!snmpIfLoaded\">\n      <div class=\"container\">\n        <p>SNMP Interfaces are loading</p>\n      </div>\n    </div>\n    <div class=\"jumbotron\" ng-show=\"snmpIfLoaded && snmpInterfaces.length == 0\">\n      <div class=\"container\">\n        <p>There are no SNMP interfaces for this node</p>\n      </div>\n    </div>\n    <div class=\"table-responsive\" ng-show=\"snmpInterfaces.length > 0\">\n      <div class=\"input-group p-3\">\n        <input class=\"form-control\" type=\"text\" placeholder=\"Search/Filter SNMP Interfaces\" ng-model=\"filters.snmpInterface\">\n        <div class=\"input-group-append\">\n          <span class=\"input-group-text\"><i class=\"fa fa-search\"></i></span>\n        </div>\n      </div>\n      <table class=\"table table-sm\">\n        <thead>\n          <tr>\n            <th sort order=\"'ifIndex'\" by=\"snmpOrder\" reverse=\"snmpReverse\">SNMP ifIndex</th>\n            <th sort order=\"'ifDescr'\" by=\"snmpOrder\" reverse=\"snmpReverse\">SNMP ifDescr</th>\n            <th sort order=\"'ifName'\"  by=\"snmpOrder\" reverse=\"snmpReverse\">SNMP ifName</th>\n            <th sort order=\"'ifAlias'\" by=\"snmpOrder\" reverse=\"snmpReverse\">SNMP ifAlias</th>\n            <th sort order=\"'ifSpeed'\" by=\"snmpOrder\" reverse=\"snmpReverse\">SNMP ifSpeed</th>\n            <th sort order=\"'hasFlows'\" by=\"snmpOrder\" reverse=\"snmpReverse\"></th>\n          </tr>\n        </thead>\n        <tbody>\n          <tr ng-class=\"intf.backgroundClass\" ng-dblclick=\"openSnmpPage(intf)\" ng-repeat=\"intf in filteredSnmpInterfaces | orderBy:snmpOrder:snmpReverse | startFrom:(snmpInterfacesCurrentPage-1)*snmpInterfacesPageSize | limitTo:snmpInterfacesPageSize\">\n            <td>{{ intf.ifIndex }}</td>\n            <td>{{ intf.ifDescr || 'N/A' }}</td>\n            <td>{{ intf.ifName  || 'N/A' }}</td>\n            <td>{{ intf.ifAlias || 'N/A' }}</td>\n            <td>{{ intf.ifSpeed || 'N/A' }}</td>\n            <td>\n              <a ng-if=\"intf.hasIngressFlows && intf.hasEgressFlows\" ng-href=\"{{intf.flowGraphUrl}}\" target=\"_blank\" title=\"Open flow graphs\"><span class=\"badge badge-secondary\" title=\"Flows: ingress/egress flow data available\"><i class=\"fa fa-exchange\"></i></span></a>\n              <a ng-if=\"intf.hasIngressFlows && !intf.hasEgressFlows\" ng-href=\"{{intf.flowGraphUrl}}\" target=\"_blank\" title=\"Open flow graphs\"><span class=\"badge badge-secondary\" title=\"Flows: ingress flow data available\"><i class=\"fa fa-long-arrow-left\"></i></span></a>\n              <a ng-if=\"!intf.hasIngressFlows && intf.hasEgressFlows\" ng-href=\"{{intf.flowGraphUrl}}\" target=\"_blank\" title=\"Open flow graphs\"><span class=\"badge badge-secondary\" title=\"Flows: egress flow data available\"><i class=\"fa fa-long-arrow-right\"></i></span></a>\n            </td>\n          </tr>\n       </tbody>\n      </table>\n    </div>\n    <ul uib-pagination class=\"pagination-sm mx-3\"\n      total-items=\"snmpInterfacesTotalItems\"\n      num-pages=\"snmpInterfacesNumPages\"\n      ng-model=\"snmpInterfacesCurrentPage\"\n      max-size=\"snmpInterfacesMaxSize\"\n      boundary-links=\"true\"\n      ng-show=\"filteredSnmpInterfaces.length > snmpInterfacesPageSize\"></ul>\n\n  </uib-tab>\n</uib-tabset>\n";
window.angular.module('ng').run(['$templateCache', function(c) { c.put(path, html) }]);
module.exports = path;

/***/ }),

/***/ "./src/main/assets/js/apps/onms-interfaces/templates/template.sort.html":
/*!******************************************************************************!*\
  !*** ./src/main/assets/js/apps/onms-interfaces/templates/template.sort.html ***!
  \******************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

var path = '/root/project/core/web-assets/src/main/assets/js/apps/onms-interfaces/templates/template.sort.html';
var html = "<span ng-click=\"onClick()\">\n  <span ng-transclude></span>&nbsp;&nbsp;\n  <i class=\"fa\" ng-class=\"{'fa-sort-alpha-asc': order===by && !reverse, 'fa-sort-alpha-desc': order===by && reverse}\"></i>\n</span>\n";
window.angular.module('ng').run(['$templateCache', function(c) { c.put(path, html) }]);
module.exports = path;

/***/ }),

/***/ "./src/main/assets/js/lib/onms-http/403-permission-denied.html":
/*!*********************************************************************!*\
  !*** ./src/main/assets/js/lib/onms-http/403-permission-denied.html ***!
  \*********************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

var path = '/root/project/core/web-assets/src/main/assets/js/lib/onms-http/403-permission-denied.html';
var html = "<div class=\"modal-header\">\n    <h3><i class=\"fa fa-exclamation-triangle text-warning\"></i> Permission Denied</h3>\n</div>\n<div class=\"modal-body\">\n    <h5>\n        You are not allowed to perform the requested action.\n    </h5>\n    <p class=\"text-muted\">\n        This is not supposed to happen.\n        Please reload the page and contact your administrator if this occurs more often.\n    </p>\n</div>\n<div class=\"modal-footer\">\n    <button class=\"btn btn-primary\" ng-click=\"reload()\">Reload</button>\n</div>";
window.angular.module('ng').run(['$templateCache', function(c) { c.put(path, html) }]);
module.exports = path;

/***/ }),

/***/ "./src/main/assets/js/lib/onms-http/index.js":
/*!***************************************************!*\
  !*** ./src/main/assets/js/lib/onms-http/index.js ***!
  \***************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _startsWith = _interopRequireDefault(__webpack_require__(/*! ../../../../../../node_modules/@babel/runtime-corejs3/core-js-stable/instance/starts-with */ "./node_modules/@babel/runtime-corejs3/core-js-stable/instance/starts-with.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var angular = __webpack_require__(/*! ../../vendor/angular-js */ "./src/main/assets/js/vendor/angular-js.js");

var permissionDeniedTemplate = __webpack_require__(/*! ./403-permission-denied.html */ "./src/main/assets/js/lib/onms-http/403-permission-denied.html");

angular.module('onms.http', ['ui.bootstrap']).factory('InterceptorService', ['$q', '$rootScope', function ($q, $rootScope) {
  return {
    responseError: function responseError(rejection) {
      if (rejection.status === 401) {
        var _context, _context2;

        if (rejection.config && rejection.config.url && ((0, _startsWith.default)(_context = rejection.config.url).call(_context, 'rest/') || (0, _startsWith.default)(_context2 = rejection.config.url).call(_context2, 'api/v2/'))) {
          console.error('Login Required', rejection, rejection.headers); // eslint-disable-line no-console

          $rootScope.$emit('loginRequired');
        }
      }

      if (rejection.status === 403) {
        $rootScope.$emit('permissionDenied');
      }

      return $q.reject(rejection);
    }
  };
}]).config(['$httpProvider', function ($httpProvider) {
  $httpProvider.defaults.headers.common['X-Requested-With'] = 'XMLHttpRequest';
  $httpProvider.interceptors.push('InterceptorService');
}]).run(['$rootScope', '$uibModal', function ($rootScope, $uibModal) {
  $rootScope.$on('loginRequired', function () {
    var baseTags = document.getElementsByTagName('base');

    if (baseTags && baseTags.length > 0 && baseTags[0].href) {
      window.location.href = baseTags[0].href + 'login.jsp?session_expired=true';
    } else {
      console.warn('Login is required, but cannot forward to login page due to missing base tag.'); // eslint-disable-line no-console
    }
  });
  $rootScope.$on('permissionDenied', function () {
    $uibModal.open({
      templateUrl: permissionDeniedTemplate,
      controller: ["$scope", "$uibModalInstance", function controller($scope, $uibModalInstance) {
        $scope.reload = function () {
          $uibModalInstance.dismiss();
          window.location.reload();
        };
      }],
      size: '',
      backdrop: 'static',
      keyboard: false
    });
  });
}]);
module.exports = angular;

/***/ }),

/***/ "./src/main/assets/js/vendor/angular-js.js":
/*!*************************************************!*\
  !*** ./src/main/assets/js/vendor/angular-js.js ***!
  \*************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/* Angular Core */
var angular = __webpack_require__(/*! ../../../../../node_modules/angular */ "./node_modules/angular/index.js-exposed");

__webpack_require__(/*! ../../../../../node_modules/angular-animate */ "./node_modules/angular-animate/index.js");

__webpack_require__(/*! ../../../../../node_modules/angular-cookies */ "./node_modules/angular-cookies/index.js");

__webpack_require__(/*! ../../../../../node_modules/angular-route */ "./node_modules/angular-route/index.js");

__webpack_require__(/*! ../../../../../node_modules/angular-resource */ "./node_modules/angular-resource/index.js");

__webpack_require__(/*! ../../../../../node_modules/angular-sanitize */ "./node_modules/angular-sanitize/index.js");
/* 3rd-Party Modules */


__webpack_require__(/*! ../../../../../node_modules/angular-growl-v2/build/angular-growl.min */ "./node_modules/angular-growl-v2/build/angular-growl.min.js");

__webpack_require__(/*! ../../../../../node_modules/angular-loading-bar */ "./node_modules/angular-loading-bar/index.js");

__webpack_require__(/*! ../../../../../node_modules/angular-growl-v2/build/angular-growl.css */ "./node_modules/angular-growl-v2/build/angular-growl.css");

__webpack_require__(/*! ../../../../../node_modules/angular-loading-bar/build/loading-bar.css */ "./node_modules/angular-loading-bar/build/loading-bar.css");
/* Bootstrap UI */


__webpack_require__(/*! ./bootstrap-js */ "./src/main/assets/js/vendor/bootstrap-js.js");

__webpack_require__(/*! ../../../../../node_modules/angular-bootstrap-checkbox/angular-bootstrap-checkbox */ "./node_modules/angular-bootstrap-checkbox/angular-bootstrap-checkbox.js");

__webpack_require__(/*! ../../../../../node_modules/ui-bootstrap4 */ "./node_modules/ui-bootstrap4/index.js"); // angular-ui-boostrap for bootstrap 4


console.log('init: angular-js'); // eslint-disable-line no-console

module.exports = window['angular'] = angular;

/***/ }),

/***/ "./src/main/assets/js/vendor/bootstrap-js.js":
/*!***************************************************!*\
  !*** ./src/main/assets/js/vendor/bootstrap-js.js ***!
  \***************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


console.log('init: bootstrap-js'); // eslint-disable-line no-console

var jQuery = __webpack_require__(/*! ./jquery-js */ "./src/main/assets/js/vendor/jquery-js.js");

__webpack_require__(/*! ../../../../../node_modules/bootstrap/dist/js/bootstrap */ "./node_modules/bootstrap/dist/js/bootstrap.js");

module.exports = jQuery;

/***/ }),

/***/ "./src/main/assets/js/vendor/jquery-js.js":
/*!************************************************!*\
  !*** ./src/main/assets/js/vendor/jquery-js.js ***!
  \************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


console.log('init: jquery-js'); // eslint-disable-line no-console

var jQuery = __webpack_require__(/*! ../../../../../node_modules/jquery/dist/jquery */ "./node_modules/jquery/dist/jquery.js-exposed");

module.exports = jQuery;

/***/ })

},[["./src/main/assets/js/apps/onms-interfaces/onms-interfaces-app/index.js","vendor"]]]);
});
//# sourceMappingURL=onms-interfaces-app.js.map